### Class

# Foundry Template

#### Description

    abstract class Foundry.Template : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Descendants

- FoundryCodeTemplate
- FoundryProjectTemplate

#### Instance methods

###### foundry_template_dup_description

No description available.

###### foundry_template_dup_id

No description available.

###### foundry_template_dup_input

No description available.

###### foundry_template_dup_tags

Gets tags describing the template such as “meson” or “flatpak”.

###### foundry_template_expand

Expands the template based on the input parameters provided to the template.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.Template:description

No description available.

###### Foundry.Template:id

No description available.

###### Foundry.Template:input

No description available.

###### Foundry.Template:tags

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryTemplateClass {
      GObjectClass parent_class;
      char* (* dup_id) (
        FoundryTemplate* self
      );
      char* (* dup_description) (
        FoundryTemplate* self
      );
      char** (* dup_tags) (
        FoundryTemplate* self
      );
      FoundryInput* (* dup_input) (
        FoundryTemplate* self
      );
      DexFuture* (* expand) (
        FoundryTemplate* self
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`dup_id: char* (* dup_id) ( FoundryTemplate* self )`

  No description available.

`dup_description: char* (* dup_description) ( FoundryTemplate* self )`

  No description available.

`dup_tags: char** (* dup_tags) ( FoundryTemplate* self )`

  No description available.

`dup_input: FoundryInput* (* dup_input) ( FoundryTemplate* self )`

  No description available.

`expand: DexFuture* (* expand) ( FoundryTemplate* self )`

  No description available.

#### Virtual methods

###### Foundry.TemplateClass.dup_description

No description available.

###### Foundry.TemplateClass.dup_id

No description available.

###### Foundry.TemplateClass.dup_input

No description available.

###### Foundry.TemplateClass.dup_tags

Gets tags describing the template such as “meson” or “flatpak”.

###### Foundry.TemplateClass.expand

Expands the template based on the input parameters provided to the template.